<xsl:stylesheet version="2.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:books="http://lsis.univ-tln.fr/~bruno/books"
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xalan="http://xml.apache.org/xalan">

<xsl:output method="xml" 
              encoding="UTF-8"
              indent="yes" 
              xalan:indent-amount="2"/>


<xsl:template match="/">
    <html>
      <head>
	<title><xsl:value-of select='//Item[1]/Title'/></title>
      </head>
      <body>
	<div>
	  <h2>Categories</h2>
	  <dt>
	  <xsl:for-each select='//Category'>
	      <tt><xsl:value-of select='@code'/></tt>
	      <dd><xsl:value-of select='@desc'/></dd>
	  </xsl:for-each>
	  </dt>
	</div>

	<xsl:apply-templates select=".//Item"/>

	<hr/>
	<xsl:call-template name='signature'/>

	<hr/>
	<xsl:call-template name='signature'>
	  <xsl:with-param name='nom'>P. Durand</xsl:with-param >
	</xsl:call-template>
      </body>
    </html>
</xsl:template>

<xsl:template match="Item">
    <div>
        <xsl:apply-templates select='Title'/>
	<ol>
	  <xsl:apply-templates select=".//Author"/>
	</ol>
    </div>
</xsl:template>

<xsl:template match="Item/Title">
    <h2><xsl:value-of select="."/></h2>
</xsl:template>

<xsl:template match="Item/Author">
    <li><xsl:value-of select="."/></li>
</xsl:template>

<xsl:template match="text()">
</xsl:template>


<xsl:template name="signature">
    <xsl:param name='nom'>E. Bruno</xsl:param>
    <p><xsl:value-of select='$nom'/></p>
</xsl:template>

</xsl:stylesheet>